diff --git a/ldap/servers/slapd/back-ldbm/init.c b/ldap/servers/slapd/back-ldbm/init.c
index 04cc936..c2f462a 100644
--- a/ldap/servers/slapd/back-ldbm/init.c
+++ b/ldap/servers/slapd/back-ldbm/init.c
@@ -54,7 +54,7 @@ ldbm_back_init( Slapi_PBlock *pb )
 	struct slapdplugin *p;
 	static int interface_published = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> ldbm_back_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> ldbm_back_init\n", 0, 0, 0 );
 
    	slapi_pblock_get(pb, SLAPI_PLUGIN, &p);
 	
@@ -76,7 +76,7 @@ ldbm_back_init( Slapi_PBlock *pb )
 	
 	/* initialize dblayer  */
 	if (dblayer_init(li)) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ldbm_back_init: dblayer_init failed\n",0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init: dblayer_init failed\n",0, 0, 0 );
 		goto fail;
 	}
 
@@ -90,7 +90,7 @@ ldbm_back_init( Slapi_PBlock *pb )
         if (slapi_register_object_extension(p->plg_name, SLAPI_EXT_CONNECTION,
             factory_constructor, factory_destructor,
             &li->li_bulk_import_object, &li->li_bulk_import_handle) != 0) {
-            LDAPDebug(LDAP_DEBUG_ANY, "ldbm_back_init: "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init: "
                       "slapi_register_object_extension failed.\n", 0, 0, 0);
             goto fail;
         }
@@ -102,25 +102,25 @@ ldbm_back_init( Slapi_PBlock *pb )
 	rc = slapi_pblock_set( pb, SLAPI_PLUGIN_PRIVATE, (void *) li );
 	
 	if ((li->li_dbcache_mutex = PR_NewLock()) == NULL ) {
-            LDAPDebug( LDAP_DEBUG_ANY, "ldbm_back_init: PR_NewLock failed\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init: PR_NewLock failed\n",
 		0, 0, 0 );
             goto fail;
         }
 
 	if ((li->li_shutdown_mutex = PR_NewLock()) == NULL ) {
-            LDAPDebug( LDAP_DEBUG_ANY, "ldbm_back_init: PR_NewLock failed\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init: PR_NewLock failed\n",
 		0, 0, 0 );
             goto fail;
         }
 
 	if ((li->li_config_mutex = PR_NewLock()) == NULL ) {
-            LDAPDebug( LDAP_DEBUG_ANY, "ldbm_back_init: PR_NewLock failed\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init: PR_NewLock failed\n",
 		0, 0, 0 );
             goto fail;
         }
 
 	if ((li->li_dbcache_cv = PR_NewCondVar( li->li_dbcache_mutex )) == NULL ) {
-            LDAPDebug( LDAP_DEBUG_ANY, "ldbm_back_init: PR_NewCondVar failed\n", 0, 0, 0 );
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init: PR_NewCondVar failed\n", 0, 0, 0 );
             goto fail;
         }
 
@@ -208,7 +208,7 @@ ldbm_back_init( Slapi_PBlock *pb )
 	    (void *) ldbm_back_ctrl_info );
 
 	if ( rc != 0 ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ldbm_back_init failed\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init failed\n", 0, 0, 0 );
 		goto fail;
 	}
 	
@@ -221,14 +221,14 @@ ldbm_back_init( Slapi_PBlock *pb )
 
 		if( slapi_apib_register(IDL_v1_0_GUID, IDL_api) )
 		{
-			LDAPDebug( LDAP_DEBUG_ANY, "ldbm_back_init: failed to publish IDL interface\n", 0, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_back_init: failed to publish IDL interface\n", 0, 0, 0);
 			goto fail;
 		}
 
 		interface_published = 1;
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= ldbm_back_init\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= ldbm_back_init\n", 0, 0, 0 );
 
 	return( 0 );
 
diff --git a/ldap/servers/slapd/back-ldbm/instance.c b/ldap/servers/slapd/back-ldbm/instance.c
index f059e8a..1f99c3e 100644
--- a/ldap/servers/slapd/back-ldbm/instance.c
+++ b/ldap/servers/slapd/back-ldbm/instance.c
@@ -37,7 +37,7 @@ int ldbm_instance_create(backend *be, char *name)
     /* initialize the entry cache */
     if (! cache_init(&(inst->inst_cache), DEFAULT_CACHE_SIZE,
                      DEFAULT_CACHE_ENTRIES, CACHE_TYPE_ENTRY)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm_instance_create: cache_init failed\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_instance_create: cache_init failed\n",
                   0, 0, 0);
         rc = -1;
         goto error;
@@ -59,7 +59,7 @@ int ldbm_instance_create(backend *be, char *name)
     /* Lock for the list of open db handles */
     inst->inst_handle_list_mutex = PR_NewLock();
     if (NULL == inst->inst_handle_list_mutex) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm_instance_create: PR_NewLock failed\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_instance_create: PR_NewLock failed\n",
                   0, 0, 0);
         rc = -1;
         goto error;
@@ -68,28 +68,28 @@ int ldbm_instance_create(backend *be, char *name)
     /* Lock used to synchronize modify operations. */
     inst->inst_db_mutex = PR_NewMonitor();
     if (NULL == inst->inst_db_mutex) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm_instance_create: PR_NewMonitor failed\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_instance_create: PR_NewMonitor failed\n",
                   0, 0, 0);
         rc = -1;
         goto error;
     }
 
     if ((inst->inst_config_mutex = PR_NewLock()) == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm_instance_create: PR_NewLock failed\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_instance_create: PR_NewLock failed\n",
                   0, 0, 0);
         rc = -1;
         goto error;
     }
 
     if ((inst->inst_nextid_mutex = PR_NewLock()) == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm_instance_create: PR_NewLock failed\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_instance_create: PR_NewLock failed\n",
                   0, 0, 0);
         rc = -1;
         goto error;
     }
 
     if ((inst->inst_indexer_cv = PR_NewCondVar(inst->inst_nextid_mutex)) == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm_instance_create: PR_NewCondVar failed\n", 0, 0, 0 );
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_instance_create: PR_NewCondVar failed\n", 0, 0, 0 );
         rc = -1;
         goto error;
     }
@@ -254,7 +254,7 @@ ldbm_instance_start(backend *be)
 
     if (be->be_state != BE_STATE_STOPPED &&
         be->be_state != BE_STATE_DELETED) {
-        LDAPDebug( LDAP_DEBUG_TRACE, 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
                    "ldbm_instance_start: warning - backend is in a wrong state - %d\n", 
                    be->be_state, 0, 0 );
         PR_Unlock (be->be_state_lock);
@@ -280,7 +280,7 @@ ldbm_instance_stop(backend *be)
     PR_Lock (be->be_state_lock);
 
     if (be->be_state != BE_STATE_STARTED) {
-        LDAPDebug( LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                    "ldbm_back_close: warning - backend %s is in the wrong state - %d\n", 
                    inst ? inst->inst_name : "", be->be_state, 0 );
         PR_Unlock (be->be_state_lock);
@@ -392,7 +392,7 @@ ldbm_instance_destructor(void **arg)
 {
     ldbm_instance *inst = (ldbm_instance *) *arg;
 
-    LDAPDebug(LDAP_DEBUG_ANY, "Destructor for instance %s called\n", 
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Destructor for instance %s called\n", 
               inst->inst_name, 0, 0);
 
     slapi_counter_destroy(&(inst->inst_ref_count));
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_add.c b/ldap/servers/slapd/back-ldbm/ldbm_add.c
index f462376..ba15f5a 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_add.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_add.c
@@ -393,7 +393,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 						slapi_sdn_set_dn_byval(&parentsdn, slapi_entry_get_dn_const(parententry->ep_entry));
 					}
 				} else {
-					LDAPDebug(LDAP_DEBUG_BACKLDBM, "find_entry2modify_only returned NULL parententry pdn: %s, uniqueid: %s\n",
+					LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "find_entry2modify_only returned NULL parententry pdn: %s, uniqueid: %s\n",
 					          slapi_sdn_get_dn(&parentsdn), slapi_sdn_get_dn(&parentsdn), addr.uniqueid?addr.uniqueid:"none");
 				}
 				modify_init(&parent_modify_c,parententry);
@@ -477,7 +477,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 				if ((operation_is_flag_set(operation,OP_FLAG_ACTION_SCHEMA_CHECK))
 				     && (slapi_entry_schema_check(pb, e) != 0))
 				{
-					LDAPDebug(LDAP_DEBUG_TRACE, "entry failed schema check\n", 0, 0, 0);
+					LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "entry failed schema check\n", 0, 0, 0);
 					ldap_result_code = LDAP_OBJECT_CLASS_VIOLATION;
 					slapi_pblock_get(pb, SLAPI_PB_RESULT_TEXT, &ldap_result_message);
 					goto error_return;
@@ -486,7 +486,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 				/* Check attribute syntax */
 				if (slapi_entry_syntax_check(pb, e, 0) != 0)
 				{
-					LDAPDebug(LDAP_DEBUG_TRACE, "entry failed syntax check\n", 0, 0, 0);
+					LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "entry failed syntax check\n", 0, 0, 0);
 					ldap_result_code = LDAP_INVALID_SYNTAX;
 					slapi_pblock_get(pb, SLAPI_PB_RESULT_TEXT, &ldap_result_message);
 					goto error_return;
@@ -541,7 +541,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 				slapi_entry_attr_delete(addingentry->ep_entry, SLAPI_ATTR_TOMBSTONE_CSN);
 				/* Now also remove the nscpEntryDN */
 				if (slapi_entry_attr_delete(addingentry->ep_entry, SLAPI_ATTR_NSCP_ENTRYDN) != 0){
-					LDAPDebug(LDAP_DEBUG_REPL, "Resurrection of %s - Couldn't remove %s\n", dn, SLAPI_ATTR_NSCP_ENTRYDN, 0);
+					LDAPDebug(LDAP_DEBUG_REPL, LOG_DEBUG, "Resurrection of %s - Couldn't remove %s\n", dn, SLAPI_ATTR_NSCP_ENTRYDN, 0);
 				}
 				
 				/* And copy the reason from e */
@@ -549,7 +549,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 				if (reason) {
 					if (!slapi_entry_attr_hasvalue(addingentry->ep_entry, "nsds5ReplConflict", reason)) {
 						slapi_entry_add_string(addingentry->ep_entry, "nsds5ReplConflict", reason);
-						LDAPDebug(LDAP_DEBUG_REPL, "Resurrection of %s - Added Conflict reason %s\n", dn, reason, 0);
+						LDAPDebug(LDAP_DEBUG_REPL, LOG_DEBUG, "Resurrection of %s - Added Conflict reason %s\n", dn, reason, 0);
 					}
 					slapi_ch_free((void **)&reason);
 				}
@@ -602,7 +602,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 				 */
 				addingentry = backentry_init( e );
 				if ( ( addingentry->ep_id = next_id( be ) ) >= MAXID ) {
-				  LDAPDebug( LDAP_DEBUG_ANY,
+				  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 						 "add: maximum ID reached, cannot add entry to "
 						 "backend '%s'", be->be_name, 0, 0 );
 				  ldap_result_code = LDAP_OPERATIONS_ERROR;
@@ -865,12 +865,12 @@ ldbm_back_add( Slapi_PBlock *pb )
 		retval = id2entry_add_ext(be, addingentry, &txn, 1, &myrc);
 		if (DB_LOCK_DEADLOCK == retval)
 		{
-			LDAPDebug( LDAP_DEBUG_ARGS, "add 1 DEADLOCK\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "add 1 DEADLOCK\n", 0, 0, 0 );
 			/* Retry txn */
 			continue;
 		}
 		if (retval) {
-			LDAPDebug(LDAP_DEBUG_TRACE, "id2entry_add(%s) failed, err=%d %s\n",
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "id2entry_add(%s) failed, err=%d %s\n",
 			          slapi_entry_get_dn_const(addingentry->ep_entry),
 			          retval, (msg = dblayer_strerror( retval )) ? msg : "");
 			ADD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -887,12 +887,12 @@ ldbm_back_add( Slapi_PBlock *pb )
 			retval = index_addordel_string(be,SLAPI_ATTR_OBJECTCLASS, SLAPI_ATTR_VALUE_TOMBSTONE,
 			                 addingentry->ep_id, BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_ARGS, "add 2 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "add 2 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (retval) {
-				LDAPDebug(LDAP_DEBUG_TRACE, "index_addordel_string TOMBSTONE (%s), err=%d %s\n",
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "index_addordel_string TOMBSTONE (%s), err=%d %s\n",
 				          slapi_entry_get_dn_const(addingentry->ep_entry),
 				          retval, (msg = dblayer_strerror( retval )) ? msg : "");
 				ADD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -909,12 +909,12 @@ ldbm_back_add( Slapi_PBlock *pb )
 				retval = index_addordel_string(be, SLAPI_ATTR_TOMBSTONE_CSN, deletion_csn_str,
 								 tombstoneentry->ep_id, BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 				if (DB_LOCK_DEADLOCK == retval) {
-					LDAPDebug( LDAP_DEBUG_ARGS, "add 3 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
+					LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "add 3 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
 					/* Retry txn */
 					continue;
 				}
 				if (0 != retval) {
-					LDAPDebug(LDAP_DEBUG_TRACE, "index_addordel_string TOMBSTONE csn(%s), err=%d %s\n",
+					LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "index_addordel_string TOMBSTONE csn(%s), err=%d %s\n",
 							  slapi_entry_get_dn_const(tombstoneentry->ep_entry),
 							  retval, (msg = dblayer_strerror( retval )) ? msg : "");
 					ADD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -928,12 +928,12 @@ ldbm_back_add( Slapi_PBlock *pb )
 
 			retval = index_addordel_string(be,SLAPI_ATTR_UNIQUEID,slapi_entry_get_uniqueid(addingentry->ep_entry),addingentry->ep_id,BE_INDEX_DEL|BE_INDEX_EQUALITY,&txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_ARGS, "add 4 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "add 4 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug(LDAP_DEBUG_TRACE, "index_addordel_string UNIQUEID (%s), err=%d %s\n",
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "index_addordel_string UNIQUEID (%s), err=%d %s\n",
 				          slapi_entry_get_dn_const(addingentry->ep_entry),
 				          retval, (msg = dblayer_strerror( retval )) ? msg : "");
 				ADD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -949,12 +949,12 @@ ldbm_back_add( Slapi_PBlock *pb )
 			                               addingentry->ep_id,
 			                               BE_INDEX_DEL|BE_INDEX_EQUALITY, &txn);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug( LDAP_DEBUG_ARGS, "add 5 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "add 5 DB_LOCK_DEADLOCK\n", 0, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug(LDAP_DEBUG_TRACE, "index_addordel_string ENTRYDN (%s), err=%d %s\n",
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "index_addordel_string ENTRYDN (%s), err=%d %s\n",
 				          slapi_entry_get_dn_const(addingentry->ep_entry),
 				          retval, (msg = dblayer_strerror( retval )) ? msg : "");
 				ADD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -969,7 +969,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 				if (tombstoneentry) {
 					retval = entryrdn_index_entry(be, tombstoneentry, BE_INDEX_DEL, &txn);
 					if (retval) {
-						LDAPDebug(LDAP_DEBUG_ANY, "Resurrecting %s: failed to remove entryrdn index, err=%d %s\n",
+						LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Resurrecting %s: failed to remove entryrdn index, err=%d %s\n",
 						          slapi_entry_get_dn_const(tombstoneentry->ep_entry),
 						          retval, (msg = dblayer_strerror( retval )) ? msg : "");
 						goto error_return; 
@@ -987,7 +987,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 		}
 		if (DB_LOCK_DEADLOCK == retval)
 		{
-			LDAPDebug( LDAP_DEBUG_ARGS, "add 5 DEADLOCK\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "add 5 DEADLOCK\n", 0, 0, 0 );
 			/* retry txn */
 			continue;
 		}
@@ -1009,12 +1009,12 @@ ldbm_back_add( Slapi_PBlock *pb )
 				                conn_id, op_id, parent_modify_c.old_entry, parent_modify_c.new_entry, retval);
 			if (DB_LOCK_DEADLOCK == retval)
 			{
-				LDAPDebug( LDAP_DEBUG_ARGS, "add 6 DEADLOCK\n", 0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "add 6 DEADLOCK\n", 0, 0, 0 );
 				/* Retry txn */
 				continue;
 			}
 			if (retval) {
-				LDAPDebug(LDAP_DEBUG_BACKLDBM, "modify_update_all: %s (%lu) failed; rc=%d\n",
+				LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "modify_update_all: %s (%lu) failed; rc=%d\n",
 				          slapi_entry_get_dn(addingentry->ep_entry), (u_long)addingentry->ep_id, retval);
 				ADD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
 				if (LDBM_OS_ERR_IS_DISKFULL(retval)) {
@@ -1031,7 +1031,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 		{
 			retval= vlv_update_all_indexes(&txn, be, pb, NULL, addingentry);
 			if (DB_LOCK_DEADLOCK == retval) {
-				LDAPDebug(LDAP_DEBUG_ARGS,
+				LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
 				          "add DEADLOCK vlv_update_index\n", 0, 0, 0 );
 				/* Retry txn */
 				continue;
@@ -1052,7 +1052,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 		if (!is_ruv && !is_fixup_operation && !NO_RUV_UPDATE(li)) {
 			ruv_c_init = ldbm_txn_ruv_modify_context( pb, &ruv_c );
 			if (-1 == ruv_c_init) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"ldbm_back_add: ldbm_txn_ruv_modify_context "
 					"failed to construct RUV modify context\n",
 					0, 0, 0);
@@ -1069,7 +1069,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"modify_update_all failed, err=%d %s\n", retval,
 					(msg = dblayer_strerror( retval )) ? msg : "", 0 );
 				if (LDBM_OS_ERR_IS_DISKFULL(retval))
@@ -1085,7 +1085,7 @@ ldbm_back_add( Slapi_PBlock *pb )
 	}
 	if (retry_count == RETRY_TIMES) {
 		/* Failed */
-		LDAPDebug( LDAP_DEBUG_ANY, "Retry count exceeded in add\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Retry count exceeded in add\n", 0, 0, 0 );
 		ldap_result_code= LDAP_BUSY;
 		goto error_return;
 	}
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_attr.c b/ldap/servers/slapd/back-ldbm/ldbm_attr.c
index 7e44cfe..57898c6 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_attr.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_attr.c
@@ -664,7 +664,7 @@ attr_index_config(
 		 slapi_attr_first_value(attr, &sval);
 		 attrValue = slapi_value_get_berval(sval);
 	} else {
-		LDAPDebug(LDAP_DEBUG_ANY, "attr_index_config: Missing indexing arguments\n", 0, 0, 0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "attr_index_config: Missing indexing arguments\n", 0, 0, 0);
 		return -1;
 	}
 
@@ -701,7 +701,7 @@ attr_index_config(
 				a->ai_indexmask |= INDEX_SUB;
 			} else if ( strcasecmp( attrValue->bv_val, "none" ) == 0 ) {
 				if ( a->ai_indexmask != 0 ) {
-					LDAPDebug(LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 						"%s: line %d: index type \"none\" cannot be combined with other types\n",
 						fname, lineno, 0);
 				}
@@ -717,7 +717,7 @@ attr_index_config(
 		}
 		if(hasIndexType == 0){
 			/* indexType missing, error out */
-			LDAPDebug(LDAP_DEBUG_ANY, "attr_index_config: Missing index type\n", 0, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "attr_index_config: Missing index type\n", 0, 0, 0);
 			attrinfo_delete(&a);
 			return -1;
 		}
@@ -841,12 +841,12 @@ attr_index_config(
 					official_rules[k++] = slapi_ch_strdup (officialOID);
 				} else {
 					char* preamble = slapi_ch_smprintf("%s: line %d", fname, lineno);
-					LDAPDebug (LDAP_DEBUG_ANY, "%s: use \"%s\" instead of \"%s\" (ignored)\n",
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: use \"%s\" instead of \"%s\" (ignored)\n",
 								  preamble, officialOID, attrValue->bv_val);
 					slapi_ch_free((void**)&preamble);
 				}
 			} else { /* we don't know what this is */
-				LDAPDebug (LDAP_DEBUG_ANY, "%s: line %d: "
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: line %d: "
 						   "unknown or invalid matching rule \"%s\" in index configuration (ignored)\n",
 						   fname, lineno, attrValue->bv_val);
 			}
@@ -876,7 +876,7 @@ attr_index_config(
 	}
 
 	if ((return_value = attr_index_idlistsize_config(e, a, myreturntext))) {
-		LDAPDebug(LDAP_DEBUG_ANY,"attr_index_config: %s: Failed to parse idscanlimit info: %d:%s\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"attr_index_config: %s: Failed to parse idscanlimit info: %d:%s\n",
 		          fname, return_value, myreturntext);
 	}
 
@@ -884,7 +884,7 @@ attr_index_config(
 	return_value = idl_init_private(be, a);
 	if (0 != return_value) {
 		/* fatal error, exit */
-		LDAPDebug(LDAP_DEBUG_ANY,"%s: line %d:Fatal Error: Failed to initialize attribute structure\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"%s: line %d:Fatal Error: Failed to initialize attribute structure\n",
 				fname, lineno, 0);
 		exit( 1 );
 	}
@@ -898,7 +898,7 @@ attr_index_config(
 	if (need_compare_fn) {
 		int rc = attr_get_value_cmp_fn( &a->ai_sattr, &a->ai_key_cmp_fn );
 		if (rc != LDAP_SUCCESS) {
-			LDAPDebug(LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 						  "The attribute [%s] does not have a valid ORDERING matching rule - error %d:s\n",
 						  a->ai_type, rc, ldap_err2string(rc));
 			a->ai_key_cmp_fn = NULL;
